< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package health
  Definition Classes
    root
- Routes

c

health

# Routes 

###

#### class Routes extends SimpleRouter

Linear Supertypes
SimpleRouter, Router, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Routes
2. SimpleRouter
3. Router
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Routes()
   Annotations
     @Inject()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def /:(prefix: String): Router
   Definition Classes
     Router
4.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def asJava: Router
   Definition Classes
     Router
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
8.  def documentation: Seq[(String, String, String)]
   Definition Classes
     SimpleRouter → Router
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  final def handlerFor(request: RequestHeader): Option[Handler]
    Definition Classes
      Router
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  final def orElse(other: Router): Router
    Definition Classes
      Router
20.  def routes: play.api.routing.Router.Routes
    Definition Classes
      Routes → Router
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
26.  def withPrefix(prefix: String): Router
    Definition Classes
      SimpleRouter → Router

### Inherited from SimpleRouter

### Inherited from Router

### Inherited from AnyRef

### Inherited from Any

### Ungrouped